Bug 246084 - AttributeError: 'AnacondaYumRepo' object has no attribute 'addon'
Summary: AttributeError: 'AnacondaYumRepo' object has no attribute 'addon'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
high
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords: Regression, TestBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 13:28 UTC by James Laska
Modified: 2013-09-02 06:21 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0644
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:22:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0644 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2007-10-30 22:56:59 UTC

Description James Laska 2007-06-28 13:28:37 UTC
# TREE rel-eng/RHEL5-Client-20070628.1
# ARCH *

All installs appear to fail with the following traceback:

Traceback (most recent call first):
  File "/usr/lib/anaconda/yuminstall.py", line 1513, in 
    for repo in filter(lambda r: r.addon, self.ayum.repos.listEnabled()):
  File "/usr/lib/anaconda/yuminstall.py", line 1513, in writeKS
    for repo in filter(lambda r: r.addon, self.ayum.repos.listEnabled()):
  File "/usr/lib/anaconda/instdata.py", line 282, in writeKS
    self.backend.writeKS(f)
  File "/usr/lib/anaconda/packages.py", line 71, in writeKSConfiguration
    anaconda.id.writeKS(fn)
  File "/usr/lib/anaconda/dispatch.py", line 201, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 124, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 588, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 982, in ?
    anaconda.intf.run(anaconda)
AttributeError: 'AnacondaYumRepo' object has no attribute 'addon'

Log files available at:
http://hank.test.redhat.com/autotest/testcases/rel-eng_RHEL5-Client-20070628.1_5-i386/key-client-workstation-distill-russian-http-TUI-da31-22af-db7e-dd23/anamon/

Comment 1 James Laska 2007-06-28 13:42:49 UTC
Potentially related to the fix for bug#206152?

revision 1.290
date: 2007/06/26 18:58:55;  author: clumens;  state: Exp;  lines: +19 -5
Add a method to write out repo lines to the anaconda-ks.cfg file for all
enabled add-on repositories (#206152).


Comment 5 Milan Zázrivec 2007-09-06 08:48:34 UTC
Verified with RHEL5.1-Server-20070906.nightly

Comment 7 errata-xmlrpc 2007-11-07 17:22:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0644.html



Note You need to log in before you can comment on or make changes to this bug.